Skip to main content
POST
/
events
/
model
/
batch
Create a batch of model events
curl --request POST \
  --url https://api.honeyhive.ai/events/model/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_events": [
    {
      "project": "<string>",
      "project_id": "<string>",
      "source": "<string>",
      "event_name": "<string>",
      "event_type": "model",
      "event_id": "<string>",
      "session_id": "<string>",
      "parent_id": "<string>",
      "children_ids": [
        "<string>"
      ],
      "config": {},
      "inputs": {},
      "outputs": {},
      "error": "<string>",
      "start_time": 123,
      "end_time": 123,
      "duration": 123,
      "metadata": {},
      "feedback": {},
      "metrics": {},
      "user_properties": {}
    }
  ],
  "is_single_session": true,
  "session_properties": {
    "session_name": "<string>",
    "user_properties": {},
    "metadata": {}
  }
}
'
{
  "event_ids": [
    "7f22137a-6911-4ed3-bc36-110f1dde6b66",
    "7f22137a-6911-4ed3-bc36-110f1dde6b67"
  ],
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for POST /events/model/batch

model_events
object[]
required

Array of model events to create

is_single_session
boolean

If true, all events share the same session

session_properties
object

Session properties for batch event creation

Response

Model events created

Response for POST /events/batch

event_ids
string[]
required
success
boolean
required
session_id
string